%define upstream_name Mail_Mime
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.10.0
Release:     	%mkrel 1
Summary:    	Mail_Mime provides classes to create MIME messages
License: 	BSD Style
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Mail_Mime-%{version}.tgz
URL: 		http://pear.php.net/package/Mail_Mime
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear
BuildArch: 	noarch

%description
Mail_Mime provides classes to deal with the creation and manipulation of
MIME messages.
It allows people to create e-mail messages consisting of:
* Text Parts
* HTML Parts
* Inline HTML Images
* Attachments
* Attached messages

It supports big messages, base64 and quoted-printable encodings and
non-ASCII characters in filenames, subjects, recipients, etc. encoded
using RFC2047 and/or RFC2231.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Mail_Mime.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Mail_Mime.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Mail_Mime
fi

%files
%doc docs/Mail_Mime/*
%{peardir}/*
%{xmldir}/Mail_Mime.xml


%changelog
* Sun Mar 13 2016 spuhler <spuhler> 1.10.0-1.mga6
+ Revision: 990302
- upgrade to vers. 1.10.0

* Fri Feb 05 2016 umeabot <umeabot> 1.8.9-4.mga6
+ Revision: 936400
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.9-3.mga5
+ Revision: 746540
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.9-2.mga5
+ Revision: 687336
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 spuhler <spuhler> 1.8.9-1.mga5
+ Revision: 644002
- upgrade to ver. 1.8.9

* Sat Oct 19 2013 umeabot <umeabot> 1.8.8-2.mga4
+ Revision: 529137
- Mageia 4 Mass Rebuild

* Sat Jul 06 2013 spuhler <spuhler> 1.8.8-1.mga4
+ Revision: 450525
- upgrade to ver 1.8.8

* Thu Jan 17 2013 umeabot <umeabot> 1.8.7-2.mga3
+ Revision: 389214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + spuhler <spuhler>
    - upgrade to 1.8.7

* Mon Jan 23 2012 spuhler <spuhler> 1.8.2-2.mga2
+ Revision: 200017
- pearized spec file
- upgrade to 1.8.2

* Sun Mar 27 2011 spuhler <spuhler> 1.8.0-2.mga1
+ Revision: 77924
- increase rel for rebuild

* Thu Jan 20 2011 spuhler <spuhler> 1.8.0-1.mga1
+ Revision: 25516
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Mail_Mime


* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.0-1mdv2011.0
+ Revision: 569597
- update to new version 1.8.0

* Sun Apr 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.0-1mdv2010.1
+ Revision: 538753
- update to new version 1.7.0

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.2-1mdv2010.1
+ Revision: 531325
- update to new version 1.6.2

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 508990
- update to new version 1.6.0

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 489152
- update to new version 1.5.3

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.2-6mdv2010.1
+ Revision: 470147
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Sep 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.2-5mdv2010.0
+ Revision: 450223
- use pear installer
- use fedora %%post/%%postun

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.5.2-4mdv2010.0
+ Revision: 441293
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-3mdv2009.1
+ Revision: 322355
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-2mdv2009.0
+ Revision: 236917
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.org> 1.5.2-1mdv2008.0
+ Revision: 55632
- Import php-pear-Mail_Mime

